Redmine - Patch #14103

Disconnect and logout from IMAP after mail receive

2013-05-20 17:15 - Pierre Pretorius

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 232

Description

When running Redmine::IMAP.check(imap_options, options) in a continuous loop with a delay (I don't want to boot the rails env
every time) you will eventually get the error listed below depending on your mail provider's maximum concurrent users:

rake aborted!

Too many simultaneous connections. (Failure)

/usr/local/lib/ruby/2.
/usr/local/lib/ruby/2.
/usr/local/lib/ruby/2.
/usr/local/lib/ruby/2.

o O O O

.0/net/imap.rb:1156:in "“get_tagged_response'
.0/net/imap.rb:1210:in “block in send_command'
.0/monitor.rb:211:in “mon_synchronize'
.0/net/imap.rb:1192:in " send_command'

/usr/local/lib/ruby/2.0.0/net/imap.rb:435:in "~ login'
/home/ppretorius/workspace-ruby/redmine-2.3.1/1ib/redmine/imap.rb:30:in " check'

This problem is fixed by simply adding imap.logout and imap.disconnect at the end of the method:

imap.expunge
imap.logout
imap.disconnect

| got the solution from this stackoverflow post.

Related issues:
Related to Redmine - Patch #14101: Receive IMAP by uid's

Closed

Associated revisions

Revision 11905 - 2013-05-28 20:17 - Jean-Philippe Lang

Disconnect and logout from IMAP after mail receive (#14103).

Patch by Pierre Pretorius.

Revision 12001 - 2013-07-11 20:37 - Jean-Philippe Lang
Merged r11905 from trunk (#14103).

History

#1 - 2013-05-22 08:33 - Etienne Massip

- Target version set to Candidate for next major release

Since Redmine handles the connection opening and login, it could/should handle logout and disconnection as well.

#2 - 2013-05-28 20:18 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.3.2

Patch committed in r11905, thanks.

#3 - 2013-07-11 20:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed
http://stackoverflow.com/questions/3322510/ruby-netimap-closing-a-connection
https://www.redmine.org/projects/redmine/repository/svn/revisions/11905

Merged.
